Retrieve all information on multiple jobs

Use this endpoint to retrieve complete information on multiple jobs for a specified project (including the job object and the job output). If enabled, we will email you a link to the file once it's ready. Otherwise, the response contains an Operation ID for async. retrieval of data.

Path Params
string
required

The universal unique identifier (UUID) of the project for which you want to create the job. You can find this in the super.AI dashboard URL of your project.

Query Params
date

UTC timestamp of the earliest job start date for inclusion in results

date

UTC timestamp of the latest job start date for inclusion in results

date

UTC timestamp of the earliest job completion date for inclusion in results

date

UTC timestamp of the latest job completion date for inclusion in results

statusIn
array of strings

Filter by current job status. Available options: SCHEDULED, IN_PROGRESS, FAILED, SUSPENDED, CANCELED, EXPIRED, and COMPLETED.

statusIn
string

Filter by whether an output has been marked as correct or not by a reviewer. Available options: true, false, and null. null means the job output has not yet been reviewed.

string

Filter by job batch, i.e., jobs created with a single request

string

Filter by whether the job output has been reviewed. Available options: CORRECT, NOT CORRECT, and REVIEWED.

tags
array of strings

Filter by tags, which are manually set text tags that allow you to label and group your data points for later reference

tags
string

Filter jobs by metadata. Enter the any text that appears within your metadata and only jobs that contain that text string in their metadata will be returned.

string

Filter by a specific ID. This searches job IDs, job UUIDs, and metadata IDs.

int32

Filter by the lowest job ID number

int32

Filter by the highest job ID number

boolean

Filter by whether jobs have labeler feedback attached

boolean

Set to true to receive your data in CSV format

boolean

Set to false to receive all output information in a single CSV column in JSON format

string

The path within the input JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the input features an array). E.g., if you want to search an input key named vendor that is nested within a product key, specify it using the format {product.vendor}. Must be used together with inputMatchType and inputValue.

string

The type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with inputPath and inputValue.

string

The search term that you are looking for within your input. Must be used together with inputPath and inputMatchType.

string

The path within the output JSON that you want to search. Use {} for root; use the format {a.b.0} to specify a path within the JSON (where 0 is the index number if the output features an array). E.g., if you want to search all output values, you can specify this using the format {label.selection.value}. Must be used together with responseMatchType and responseValue.

string

The type of search you want to conduct. Possible values: IS, CONTAINS, IS_NOT, CONTAINS_NOT, IS_NOT_EMPTY. Must be used together with responsePath and responseValue.

string

The search term that you are looking for within your output. Must be used together with responsePath and responseMatchType.

boolean

Disable sending of an email. In that case, the response contains an Operation ID, which can be used to retrieve the data asynchronously.

Body Params
email
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain